<div class="container-edit-task">
  <form [formGroup]="editTaskForm" (ngSubmit)="onSubmitTask()">
      <input 
      type="text" formControlName="name" placeholder="name" required>
      <div *ngIf="name?.invalid && (name?.dirty || name?.touched)">
        <div *ngIf="name?.errors?.['required']" class="invalid-feedback">
            Name is required.
          </div>
          <div *ngIf="name?.errors?.['minlength']" class="invalid-feedback">
            Name must be at least 4 characters long.
          </div>
          <div *ngIf="name?.errors?.['pattern']" class="invalid-feedback">
            Name should contain only lowercase letters, Latin letters, numbers, special characters
          </div>
          </div>
      <button type="submit" class="btn-update">Edit</button>
      <button type="button" (click)="modalTaskService.isModalOpenUpdate=false" class="btn-close">Close me</button>
    </form> 
  </div>
  
 
